# headerToken Struct Reference
[HEADER.]

`#include <header_internal.h>`

## Data Fields

HV_s | hv
void * | blob
indexEntry | index
int | indexUsed
int | indexAlloced
int | flags
int | nrefs

## Detailed Description

The Header data structure.

Definition at line 54 of file header_internal.h.

## Field Documentation

void* headerToken::blob

| Header region blob. Definition at line 56 of file header_internal.h.

int headerToken::flags

| Definition at line 60 of file header_internal.h. Referenced by doHeaderUnload(), findEntry(), and headerAllocated().

struct HV_s headerToken::hv

| Header public methods. Definition at line 55 of file header_internal.h.

indexEntry headerToken::index

| Array of tags. Definition at line 57 of file header_internal.h. Referenced by doHeaderUnload(), findEntry(), and headerDump().

int headerToken::indexAlloced

| Allocated size of tag array. Definition at line 59 of file header_internal.h.

int headerToken::indexUsed

| Current size of tag array. Definition at line 58 of file header_internal.h. Referenced by findEntry(), and headerDump().

int headerToken::nrefs

| Reference count. Definition at line 64 of file header_internal.h. Referenced by headerUsageCount().

The documentation for this struct was generated from the following file:

- lib/header_internal.h